"use strict";
const appId = "travelhub";
const appName = "Travel Hub";
const getWindow = () => {
  try {
    window.parent.document;
    return window.parent;
  } catch (err) {
    return window;
  }
};
const browserWindow = getWindow();
browserWindow.emui = browserWindow.emui || {};
browserWindow.emui[appId] = browserWindow.emui[appId] || {};
const mainElement = document.createElement("main");
mainElement.id = "travelhub";
const pageHeaderEle = document.createElement("h1");
pageHeaderEle.id = "header";
pageHeaderEle.textContent = appName;
mainElement.appendChild(pageHeaderEle);
const versionEle = document.createElement("p");
versionEle.id = "version";
versionEle.textContent = "Version: 23.1";
mainElement.appendChild(versionEle);
document.body.appendChild(mainElement);
